// F.T. Liu
// Demo program for comp 1672
// Header file for the Employee class
#ifndef EMPLOYEE_H
#define EMPLOYEE_H

class Employee {
public:
    Employee();                       // default constructor
    Employee(const char *firstname, const char *lastname, float wage);
    Employee(const Employee &copy);   // copy constructor
    virtual ~Employee();              // destructor
    const Employee &operator=(const Employee &rhs);  // assignment operator
    void display() const;
    // 3 accessor functions
    const char * firstname() const;
    const char * lastname() const;
    float wage() const;
    // 3 set functions
    void firstname(const char *fn);       // change the firstname
    void lastname(const char *ln);        // change the firstname
    void wage(float);                     // change the firstname
private:
    char *myFirstName;
    char *myLastName;
    float myWage;
};

#endif
